<div class="page page-center" style="margin-top: 110px;">
  <div class="container container-tight py-4">
    <div class="row align-items-center g-4">
      <div class="col-lg">
        <div class="container-tight">
          <form class="card card-md">
            <div class="card-body">
              <h2 class="card-title text-center mb-4">Criar conta</h2>
              <div class="mb-3">
                <label class="form-label">Nome</label>
                <input type="text" class="form-control" placeholder="Seu nome" [(ngModel)]="name"
                  [ngModelOptions]="{standalone: true}">
              </div>
              <div class="mb-3">
                <label class="form-label">Nome de usuário</label>
                <input type="text" class="form-control" placeholder="Seu usuário" [(ngModel)]="username"
                  [ngModelOptions]="{standalone: true}">
              </div>
              <div class="mb-3">
                <label class="form-label">Senha</label>
                <div class="input-group input-group-flat">
                  <input type="password" class="form-control" placeholder="Sunha senha" [(ngModel)]="password"
                    [ngModelOptions]="{standalone: true}">
                  <span class="input-group-text">
                    <a href="#" class="link-secondary" title="Show password" data-bs-toggle="tooltip">
                      <svg xmlns="http://www.w3.org/2000/svg" class="icon" width="24" height="24" viewBox="0 0 24 24"
                        stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round"
                        stroke-linejoin="round">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none" />
                        <path d="M12 12m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0" />
                        <path
                          d="M22 12c-2.667 4.667 -6 7 -10 7s-7.333 -2.333 -10 -7c2.667 -4.667 6 -7 10 -7s7.333 2.333 10 7" />
                      </svg>
                    </a>
                  </span>
                </div>
              </div>
              <div class="form-footer">
                <button type="submit" class="btn btn-primary w-100" (click)="signup()">Salvar</button>
              </div>
            </div>
          </form>
          <div class="text-center text-muted mt-3">
            Já tem conta? <a (click)="goToLogin()" style="cursor: pointer; color: #0d6efd;" tabindex="-1">Entrar</a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>